.navbar {
    position: fixed;
    z-index: 50;
    top: 0;
    left: 0;
    padding: 0 80px;
    width: 100%;
}

.nav_logo {
    height: 50px;
    float: left;
}

.nav_color {
    background-color: var(--nav_bg);
    transition: all 0.4s ease-in-out;
}

.navbar .nav_logo a {
    color: var(--nav_fontBright);
    line-height: 50px;
    transition: all 0.4s ease-in-out;
}

.navbar .nav_logo img {
    height: 28px;
    width: auto;
    margin: 11px 0;
    float: left;
    transition: 0.7s ease-in-out;
}

.navbar nav {
    float: right;
    transition: 0.7s ease-in-out;
}

.navbar ul {
    margin: 0;
    padding: 0;
    display: flex;
}

.navbar ul li {
    list-style: none;
}

.navbar ul li a {
    position: relative;
    display: block;
    height: 50px;
    line-height: 50px;
    padding: 0 20px;
    color: var(--nav_fontBright);
    text-decoration: none;
    font-weight: 500;
    transition: all 0.5s ease-in-out;
}

.navbar ul li.active a,
.navbar ul li a:hover {
    color: var(--nav_fontActive);
}

.navbar.nav_color nav ul li a,
.navbar.nav_color .nav_logo a {
    color: var(--nav_fontDark);
}

.navbar.nav_color .nav_logo img {
    filter: brightness(21%);
}

.navbar.nav_color nav ul li.active a,
.navbar.nav_color nav ul li a:hover {
    color: var(--nav_fontActive);
}

.menu_btn {
    float: right;
    margin: 13px 0;
    position: relative;
    display: none;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 24px;
    cursor: pointer;
}

.menu_btn_burger {
    height: 3px;
    width: 90%;
    background-color: var(--nav_fontBright);
    border-radius: 100px;
    transition: all 0.5s ease-in-out;
}

.menu_btn_burger::before,
.menu_btn_burger::after {
    content: '';
    position: absolute;
    height: 3px;
    width: 100%;
    background-color: var(--nav_fontBright);
    border-radius: 100px;
    transition: all 0.5s ease-in-out;
}

.navbar.nav_color .menu_btn_burger,
.navbar.nav_color .menu_btn_burger::before,
.navbar.nav_color .menu_btn_burger::after {
    background-color: var(--nav_fontDark);
}

.navbar.nav_color .nav_logo a svg:path {
    fill: var(--nav_fontDark);
}

.menu_btn_burger::before {
    transform: translateY(-9px);
}

.menu_btn_burger::after {
    transform: translateY(9px);
}

.menu_btn.open .menu_btn_burger {
    transform: translateX(-50px);
    background-color: transparent;
}

.menu_btn.open .menu_btn_burger::before {
    transform: rotate(45deg) translate(35px, -35px);
    background-color: var(--nav_fontActive);
}

.menu_btn.open .menu_btn_burger::after {
    transform: rotate(-45deg) translate(35px, 35px);
    background-color: var(--nav_fontActive);
}

@media (max-width: 1280px) {

    .navbar {
        padding: 0 50px;
    }
}

@media (max-width: 1010px) {

    .navbar {
        padding: 0 30px;
    }

    .menu_btn {
        display: flex;
    }

    .navbar nav {
        position: absolute;
        width: 100%;
        /* height: calc(100vh - 50px); */
        height: 100vh;
        /* background-color: var(--.navbar_bg); */
        /* top: 50px; */
        transition: 0.5s ease;
    }

    .list_container {
        left: -100%;
        background-color: rgba(0, 0, 0, 0.5);
        -webkit-backdrop-filter: blur(4px);
                backdrop-filter: blur(4px);
    }

    .list_container ul li a {
        margin-left: -100%;
    }

    .list_container.open {
        left: 0;
    }

    .navbar nav ul {
        margin-top: 100px;
        display: block;
        text-align: center;
    }

    .navbar nav ul li {
        margin-bottom: 2rem;
    }

    .navbar nav ul li a {
        background-color: var(--nav_fontBright);
        color: var(--nav_fontDark);
        width: 50%;
        left: 25%;
        right: auto;
        border-radius: 25px;
    }

    .list_container.open ul li:nth-of-type(1) a {
        -webkit-animation: fade-in 0.3s ease forwards  0.2s;
                animation: fade-in 0.3s ease forwards  0.2s;
    }

    .list_container.open ul li:nth-child(2) a {
        -webkit-animation: fade-in 0.3s ease forwards  0.3s;
                animation: fade-in 0.3s ease forwards  0.3s;
    }

    .list_container.open ul li:nth-child(3) a {
        -webkit-animation: fade-in 0.3s ease forwards  0.4s;
                animation: fade-in 0.3s ease forwards  0.4s;
    }

    .list_container.open ul li:nth-child(4) a {
        -webkit-animation: fade-in 0.3s ease forwards  0.5s;
                animation: fade-in 0.3s ease forwards  0.5s;
    }

    .list_container.open ul li:nth-child(5) a {
        -webkit-animation: fade-in 0.3s ease forwards  0.6s;
                animation: fade-in 0.3s ease forwards  0.6s;
    }

    .list_container.open ul li:nth-child(6) a {
        -webkit-animation: fade-in 0.3s ease forwards  0.7s;
                animation: fade-in 0.3s ease forwards  0.7s;
    }

    @-webkit-keyframes fade-in {
        0% {
            margin-left: -100%;
        }
        95% {
            margin-left: 8px;
        }
        100% {
            margin-left: 0;
        }
    }

    @keyframes fade-in {
        0% {
            margin-left: -100%;
        }
        95% {
            margin-left: 8px;
        }
        100% {
            margin-left: 0;
        }
    }
}

